Hooks:PostHook(CorpseCarryData, "on_thrown", "gasmaskfella_seqmanz execution", function(self, unit)
	if not BLT.Mods:GetModByName("RAID WW2: Old Age of Heisters") and not BLT.Mods:GetModByName("raid ww2 old age of heisters") then	
		if self._unit:name() == Idstring("units/vanilla/characters/enemies/models/german_black_waffen_sentry_heavy/german_black_waffen_sentry_heavy_corpse") and self._unit:damage() and self._unit:damage():has_sequence("ar") then
			self._unit:damage():run_sequence_simple("ar")
		end
	end
end)


